Import User from KYC

POST /auth/importKYC

This method will import all KYC data from scratch. The user will be created and KYC imported form sumsub

Request body Content-Type: application/json

  • sumsubsharedtoken

Example request

request.http
POST /auth/importKYC HTTP/1.1
Host: gateway.noxxo.com
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 279

{
  "sumsharedtoken": "_act-sbx-jwt-eyJhbGciOiJub25lIn0.eyJqdGkiOiJfYWN0LXNieC03ZmUyMzk1Ni1mMTViLTRmN2YtYjZiYi1hNDM3NDU0MjQ5OTAiLCJ1cmwiOiJodHRwczovL2FwaS5zdW1zdWIuY29tIn0."
}

Responses

  • 200 — Successful update of customer data

The following fields are imported from sumsub

Name

Type

Description

userEmail*

String

registered email of the user

firstName*

String

user first name

lastName*

String

user last name

dob*

String

date of birth accepted in format "YYYY-MM-DD"

gender*

String

accepted value in format "M" (Male) or "F" (Female)

country*

String

accepted value is 3-letter country code

phone*

String

users phone number

street

String

first line of address - street name, building name or number in the local language and script (e.g., Arabic, Korean, Japanese, etc.)

town

String

town/city name in the local language and script (e.g., Arabic, Korean, Japanese, etc.)

townEn

String

town or city name in English, using the Latin alphabet

state

String

state or county name in English, using the Latin alphabet

country

String

country name in English, using the Latin alphabet

nationality

String

registered email of the user

documentNo

String

number of document used as proof of identity

documentExpirationDate

String

accepted in format YYYY-MM-DD, if document does not have expiry date, use default 2099-01-01

country

String

accepted value is 3-letter country code

documentName

String

accepted documents are government issued document, expected values are: "PASSPORT", "ID_CARD", "DRIVERS", "RESIDENCE"

userEmail*

String

registered email of the user

Last updated